python-module-zope.fixers-1.1.2-alt1.1.1.1.x86_64.rpm


Advertisement

Description

python-module-zope.fixers - 2to3 fixers for Zope

Distribution: ALT Linux Sisyphus
Repository: Classic x86_64
Package name: python-module-zope.fixers
Package version: 1.1.2
Package release: alt1.1.1.1
Package architecture: x86_64
Package type: rpm
Installed size: 26.88 KB
Download size: 26.88 KB
Official Mirror: ftp.altlinux.org
Fixers for Zope Component Architecture and the frameworks built with it. Currently, there is only one fixer, fix_implements. This fixer will change all uses of implements(IFoo) in a class body to the class decorator @implementer(IFoo), which is the most likely Python 3 syntax for zope.interfaces implements statements.

Requires

Provides

  • python-module-zope.fixers = 1.1.2-alt1.1.1.1
  • python2.7(zope.fixers)
  • python2.7(zope.fixers.base)
  • python2.7(zope.fixers.fix_class_provides)
  • python2.7(zope.fixers.fix_implements)
  • python2.7(zope.fixers.fix_implements_only)
  • python2.7(zope.fixers.main)

    Install Howto

    1. Add the following line to /etc/apt/sources.list:
      rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
      rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
      
    2. Update the package index:
      # sudo apt-get update
    3. Install python-module-zope.fixers rpm package:
      # sudo apt-get install python-module-zope.fixers

    Files

    • /usr/lib64/python2.7/site-packages/zope/
    • /usr/lib64/python2.7/site-packages/zope.fixers-1.1.2-py2.7.egg-info/PKG-INFO
    • /usr/lib64/python2.7/site-packages/zope.fixers-1.1.2-py2.7.egg-info/SOURCES.txt
    • /usr/lib64/python2.7/site-packages/zope.fixers-1.1.2-py2.7.egg-info/dependency_links.txt
    • /usr/lib64/python2.7/site-packages/zope.fixers-1.1.2-py2.7.egg-info/entry_points.txt
    • /usr/lib64/python2.7/site-packages/zope.fixers-1.1.2-py2.7.egg-info/namespace_packages.txt
    • /usr/lib64/python2.7/site-packages/zope.fixers-1.1.2-py2.7.egg-info/not-zip-safe
    • /usr/lib64/python2.7/site-packages/zope.fixers-1.1.2-py2.7.egg-info/requires.txt
    • /usr/lib64/python2.7/site-packages/zope.fixers-1.1.2-py2.7.egg-info/top_level.txt
    • /usr/lib64/python2.7/site-packages/zope/fixers/__init__.py
    • /usr/lib64/python2.7/site-packages/zope/fixers/__init__.pyc
    • /usr/lib64/python2.7/site-packages/zope/fixers/__init__.pyo
    • /usr/lib64/python2.7/site-packages/zope/fixers/base.py
    • /usr/lib64/python2.7/site-packages/zope/fixers/base.pyc
    • /usr/lib64/python2.7/site-packages/zope/fixers/base.pyo
    • /usr/lib64/python2.7/site-packages/zope/fixers/fix_class_provides.py
    • /usr/lib64/python2.7/site-packages/zope/fixers/fix_class_provides.pyc
    • /usr/lib64/python2.7/site-packages/zope/fixers/fix_class_provides.pyo
    • /usr/lib64/python2.7/site-packages/zope/fixers/fix_implements.py
    • /usr/lib64/python2.7/site-packages/zope/fixers/fix_implements.pyc
    • /usr/lib64/python2.7/site-packages/zope/fixers/fix_implements.pyo
    • /usr/lib64/python2.7/site-packages/zope/fixers/fix_implements_only.py
    • /usr/lib64/python2.7/site-packages/zope/fixers/fix_implements_only.pyc
    • /usr/lib64/python2.7/site-packages/zope/fixers/fix_implements_only.pyo
    • /usr/lib64/python2.7/site-packages/zope/fixers/main.py
    • /usr/lib64/python2.7/site-packages/zope/fixers/main.pyc
    • /usr/lib64/python2.7/site-packages/zope/fixers/main.pyo
    • /usr/share/doc/python-module-zope.fixers-1.1.2/CHANGES.txt
    • /usr/share/doc/python-module-zope.fixers-1.1.2/README.txt
    • /usr/share/doc/python-module-zope.fixers-1.1.2/ZPL.txt

    Changelog

    2016-06-06 - Ivan Zakharyaschev <imz@altlinux.org> 1.1.2-alt1.1.1.1 - (AUTO) subst_x86_64.

    2016-03-14 - Ivan Zakharyaschev <imz@altlinux.org> 1.1.2-alt1.1.1 - (NMU) rebuild with rpm-build-python3-0.1.9 (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

    2016-01-29 - Mikhail Efremov <sem@altlinux.org> 1.1.2-alt1.1 - NMU: Use buildreq for BR.

    2013-03-01 - Aleksey Avdeev <solo@altlinux.ru> 1.1.2-alt1 - 1.1.2

    2012-04-12 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0-alt4 - Added module for Python 3

    2011-10-20 - Vitaly Kuznetsov <vitty@altlinux.ru> 1.0-alt3.1 - Rebuild with Python-2.7

    2011-06-28 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0-alt3 - Added necessary requirements - Excluded *.pth

    2011-05-19 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0-alt2 - Set as archdep package

    2011-05-17 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0-alt1 - Initial build for Sisyphus

    Advertisement
    Advertisement